| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::Parallel::SshSession Class Reference

List of all members.

## Detailed Description

Definition at line 184 of file Parallel.py.

## Public Member Functions
def | __init__
def | __del__
## Public Attributes
| host
| session

## Member Function Documentation

def GaudiPython::Parallel::SshSession::__init__ | ( |  | self,
|  |  | hostname |
| ) |  |  |

Definition at line 185 of file Parallel.py.

    00185                               :
    00186     import pyssh
    00187     import pp
    00188     self.host = hostname
    00189     ppprefix =  os.path.dirname(os.path.dirname(pp.__file__))
    00190     self.session = pyssh.Ssh(host=hostname)
    00191     self.session.open()
    00192     self.session.read_lazy()
    00193     self.session.write('cd %s\n' % os.getcwd())
    00194     self.session.read_lazy()
    00195     self.session.write('setenv PYTHONPATH %s\n' % os.environ['PYTHONPATH'])
    00196     self.session.read_lazy()
    00197     self.session.write('setenv LD_LIBRARY_PATH %s\n' % os.environ['LD_LIBRARY_PATH'])
    00198     self.session.read_lazy()
    00199     self.session.write('setenv ROOTSYS %s\n' % os.environ['ROOTSYS'])
    00200     self.session.read_lazy()
    00201     self.session.write('%s %s/scripts-%s/ppserver.py \n'%(sys.executable, ppprefix, sys.version.split()[0] ))
    00202     self.session.read_lazy()
    00203     self.session.read_lazy()
    00204     print 'started ppserver in ', hostname
      def __del__(self):

def GaudiPython::Parallel::SshSession::__del__ | ( |  | self | ) |

Definition at line 205 of file Parallel.py.

    00205                    :
    00206     self.session.close()
    00207     print 'killed ppserver in ', self.host
        print 'killed ppserver in ', self.host

## Member Data Documentation

GaudiPython::Parallel::SshSession::host

Definition at line 188 of file Parallel.py.

GaudiPython::Parallel::SshSession::session

Definition at line 190 of file Parallel.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/python/GaudiPython/Parallel.py